Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Class SettingStoreEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.rwt.service.SettingStoreEvent

All Implemented Interfaces:
  Serializable

public final class SettingStoreEvent
extends EventObject

A SettingStoreEvent holds information regarding the change of a single attribute inside the setting store. The change can be one of the following:

- attribute added - `getOldValue()` returns `null`, `getNewValue()` returns a String other than `null`
- attribute modified - `getOldValue()` and `getNewValue()` return a String other than `null`
- attribute removed - `getOldValue()` returns a String other than `null`, `getNewValue()` returns `null`

Note: Clients are responsible for using the `getAttributeName()` method, to check if the changed attribute is of interest to them.

Since:
  1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SettingStoreEvent(ISettingStore source, String attribute, String oldValue, String newValue)`

Method Summary
`String` `getAttributeName()` Returns the name of the changed attribute.
`String` `getNewValue()` Return the new value of the attribute
`String` `getOldValue()` Returns the previous value of the attribute.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SettingStoreEvent

    public SettingStoreEvent(ISettingStore source,
                             String attribute,
                             String oldValue,
                             String newValue)

Method Detail

### getAttributeName

    public String getAttributeName()

  Returns the name of the changed attribute.

  Returns:
    a String; never `null`

### getNewValue

    public String getNewValue()

  Return the new value of the attribute

  Returns:
    a String; may be `null` if the attribute has been removed from the store

### getOldValue

    public String getOldValue()

  Returns the previous value of the attribute.

  Returns:
    a String; may be `null` if the attribute did not exist previously

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.